Bug 768635 - Attached ODP with .eps images hangs for seconds when editing something
Attached ODP with .eps images hangs for seconds when editing something
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-17 09:46 EST by Milan Bouchet-Valat
Modified: 2012-08-08 13:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Testcase (66.47 KB, application/vnd.oasis.opendocument.presentation)
2011-12-17 09:46 EST, Milan Bouchet-Valat
no flags Details

  None (edit)
Description Milan Bouchet-Valat 2011-12-17 09:46:06 EST
Created attachment 548212 [details]
Testcase

The attached ODP presentation takes ages to load, and LO hangs for about 10s every time you change something in it (like moving an object or even selecting slides). I could not test with 3.5, but if you open it you'll soon figure out if it's still present. ;-)

The problem seems to be caused by the .eps images, since the more I add to the document, the longer the hangs lasts; and on start, image previews only appear when LO stops working. So my conclusion is that LO redraws these images every time something is changed in the whole doc, which doesn't make sense (these images are slow to render, that's OK, but they should only be drawn when needed).

What's interesting is that copying all the slides to a new files, I could work without experiencing the slow down. But once I saved, closed and reopened the new file, it started making LO hang again.

I'm using LO 3.3.4.1.
Comment 1 Caolan McNamara 2012-01-10 09:43:18 EST
The delay will probably be due to running ghostscript to generate a preview image for each .eps. Some software puts a preview image into the eps in which case LibreOffice doesn't use ghostscript to generate one. 

Ideally we'd do something less stupid
Comment 2 Milan Bouchet-Valat 2012-01-10 12:17:37 EST
I understand previews need to be generated on start, but the really pathological issue is that even moving a simple text frame unrelated to the .eps images takes ages. So there's also a problem with when to generated the previews.
Comment 3 Fedora End Of Life 2012-08-07 11:39:15 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Milan Bouchet-Valat 2012-08-08 13:30:31 EDT
Fixed in Fedora 17, actually.

Note You need to log in before you can comment on or make changes to this bug.